//
// config.h
//
// Win32-specific #includes and #defines
//

#ifndef _WIN32_CONFIG_H
#define _WIN32_CONFIG_H

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <time.h>
#include <io.h>
#include <ctype.h>
#include <winsock2.h>

#define TARGET_SPECIFIC_FIELDS	// none for Win32

typedef DWORD TIME;

#define SUPPORTS_TCP_NODELAY 1

#define TX_WAIT_TIME	1000	// millisec delay before each TCP connect
				// or first UDP send to allow RX set up

#define LLU_FMT		"%I64u"

#define POINTER_INT	ULONGLONG

#define TTCP_NO_BUFFERS WSAENOBUFS

#define INET_NTOA(sa)	inet_ntoa(sa)

#endif /* _WIN32_CONFIG_H */

